# Copyright (C) 2005  Network Applied Communication Laboratory Co., Ltd.
#
# This file is part of Rast.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA

require "test-utility"

module Rast
  module DatabaseGeneratable
    def setup
      name = self.class.name.gsub(/:+/, "-").downcase
      @db_dir = TestUtility.mkdtemp(name)
      @db_name_count = 0
    end

    def teardown
      TestUtility.rm_rf(@db_dir)
    end

    private

    def generate_db_name
      @db_name_count += 1
      return File.expand_path(@db_name_count.to_s, @db_dir)
    end
  end
end
